Page MenuHomePhabricator

Decommission db2036
Closed, ResolvedPublic

Description

db2036 can be decommissioned.

db2036

Decommission Checklist

  • - all system services confirmed offline from production use - should be done by DBA team
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration - should be done by DBA team: https://gerrit.wikimedia.org/r/511392
  • - any service group puppet/heira/dsh config removed - should be done by DBA team
  • - remove site.pp (replace with role(spare::system) if system isn't shut down immediately during this process.) - should be done by DBA team: https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/511393/

START NON-INTERRUPPTABLE STEPS - please assign to @RobH for the non-interrupt steps

  • - disable puppet on host
  • - power down host
  • - update status in netbox (inventory for decom, planned for spare)
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

END NON-INTERRUPPTABLE STEPS

  • - system disks wiped (by onsite) use hdparm for ssds and wipe for hdds
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Details

Related Gerrit Patches:
operations/dns : masterDNS: Remove mgmt DNS for db2036
operations/dns : masterwmnet: Remove db2036 production entries
operations/puppet : productionmariadb: Remove db2036 from puppet
operations/puppet : productionmariadb: Remove db2036

Event Timeline

Restricted Application added a project: Operations. · View Herald TranscriptMay 20 2019, 9:36 AM

Mentioned in SAL (#wikimedia-operations) [2019-05-20T09:37:23Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Remove db2036, going to be decommissioned T223885 (duration: 00m 49s)

Mentioned in SAL (#wikimedia-operations) [2019-05-20T09:38:20Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Remove db2036, going to be decommissioned T223885 (duration: 00m 49s)

Marostegui triaged this task as Medium priority.May 20 2019, 9:39 AM
Marostegui updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2019-05-20T09:39:38Z] <marostegui> Stop MySQL on db2036 T223885

Mentioned in SAL (#wikimedia-operations) [2019-05-20T09:42:34Z] <marostegui> Remove db2036 from tendril and zarcillo - T223885

Change 511393 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Remove db2036

https://gerrit.wikimedia.org/r/511393

Change 511393 merged by Marostegui:
[operations/puppet@production] mariadb: Remove db2036

https://gerrit.wikimedia.org/r/511393

Marostegui reassigned this task from Marostegui to RobH.May 20 2019, 9:55 AM
Marostegui updated the task description. (Show Details)
Marostegui added a subscriber: Papaul.

This host is now ready for DCOPs to take over

Marostegui updated the task description. (Show Details)May 21 2019, 5:48 AM
RobH moved this task from Backlog to Decommission on the ops-codfw board.Jun 12 2019, 1:11 PM

Change 538874 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Remove db2036 from puppet

https://gerrit.wikimedia.org/r/538874

Change 538875 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove db2036 production entries

https://gerrit.wikimedia.org/r/538875

cookbooks.sre.hosts.decommission executed by volans@cumin1001 for hosts: db2036.codfw.wmnet

  • db2036.codfw.wmnet (FAIL)
    • Host steps raised exception: 'bool' object is not callable

ERROR: some step on some host failed, check the bolded items above

cookbooks.sre.hosts.decommission executed by volans@cumin1001 for hosts: db2036.codfw.wmnet

  • db2036.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 538874 merged by Marostegui:
[operations/puppet@production] mariadb: Remove db2036 from puppet

https://gerrit.wikimedia.org/r/538874

Change 538875 merged by Marostegui:
[operations/dns@master] wmnet: Remove db2036 production entries

https://gerrit.wikimedia.org/r/538875

Marostegui reassigned this task from RobH to Papaul.Sep 24 2019, 1:53 PM
Marostegui updated the task description. (Show Details)
Marostegui removed a project: Patch-For-Review.

Host ready for @Papaul to finish the last decommissioning steps

papaul@asw-c-codfw# show | compare 
[edit interfaces interface-range vlan-private1-c-codfw]
-    member ge-6/0/3;
[edit interfaces interface-range disabled]
     member ge-6/0/15 { ... }
+    member ge-6/0/3;
[edit interfaces]
-   ge-6/0/3 {
-       description db2036;
-       enable;
-   }
Papaul updated the task description. (Show Details)Sep 25 2019, 3:24 PM
Papaul updated the task description. (Show Details)Sep 26 2019, 4:30 PM
Papaul updated the task description. (Show Details)Sep 30 2019, 8:03 PM

Change 539983 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for db2036

https://gerrit.wikimedia.org/r/539983

Change 539983 merged by Dzahn:
[operations/dns@master] DNS: Remove mgmt DNS for db2036

https://gerrit.wikimedia.org/r/539983

Papaul closed this task as Resolved.Oct 1 2019, 12:39 AM
Papaul updated the task description. (Show Details)

This is complete